Page MenuHomePhabricator

Clean up evas_inline.x
Closed, ResolvedPublic

Description

This file is full of functions called as:
foo(eo_obj, obj);

Most of them can be reduced to foo(obj); and internally get the eo_obj with obj->object

This would make it impossible to screw up calling them passing an unrelated pair, and make calling code a little more readable.

ManMower created this task.Jul 30 2018, 2:59 PM
ManMower triaged this task as TODO priority.
bu5hm4n edited projects, added efl: canvas, efl: rendering; removed efl.Aug 1 2018, 7:52 AM
devilhorns closed this task as Resolved.May 29 2019, 12:40 PM
devilhorns claimed this task.